<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRequestItemLabel" jhiTranslate="mpmApp.requestItem.home.createOrEditLabel">Create or edit a Request Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestItem.sequence" for="field_sequence">Sequence</label>
                    <input currencyMask class="form-control" name="sequence" id="field_sequence"
                        [(ngModel)]="requestItem.sequence"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div> -->
                <div class="form-group">
                    <label class="form-control-label" for="field_idProduct">Product</label>
                    <select class="form-control" id="field_product" name="product" [(ngModel)]="requestItem.idProduct" required>
                        <option [ngValue]="null">Select Product</option>
                        <option [ngValue]="goodOption.idProduct" *ngFor="let goodOption of goods; trackBy: trackProductById">{{goodOption.name}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestItem.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="requestItem.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestItem.qtyReq" for="field_qty">Qty Request</label>
                    <input currencyMask class="form-control" name="qty_req" id="field_qty_req"
                        [(ngModel)]="requestItem.qtyReq"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        required />
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestItem.maxQty" for="field_maxQty">Max Qty</label>
                    <input currencyMask class="form-control" name="maxQty" id="field_maxQty"
                        [(ngModel)]="requestItem.maxQty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        required />
                </div> -->

                <!-- <div class="form-group" *ngIf="idRequest === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestItem.request" for="field_request">Request</label>
                    <select class="form-control" id="field_request" name="request" [(ngModel)]="requestItem.requestId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="requestOption.idRequest" *ngFor="let requestOption of requests; trackBy: trackRequestById">{{requestOption.id}}</option>
                    </select>
                </div> -->
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
